******************************************
*          FONE BOOK - FBDSPREC          *
*                                        *
*  This program was  written and placed  *
*   in the public domain by Don Mankin   *
*  MICRO-BASE  (916-971-1395)  300/1200  *
*   Copyright (c) 1983 Donald L Mankin   *
*    Please do not remove this notice    *
*                                        *
******************************************
do while t
goto top
erase
clear gets
store ' 'to answer
?'*** DISPLAY RECORDS ***'
?
?'Enter Last Name or <Q>uit'
?
accept to search
store !(search) to search
if search='Q'
     release answer,search,prevrec
     return
endif
find &search
if #=0
     &beep
     ?'** Name not found **'
     store 1 to xx
     do while xx<35
          store xx+1 to xx
     enddo while xx<35
     enddo while t
endif
do while.not.answer='Q'
erase
@ 1,0 say'First   ' get first
@ 2,0 say'Last    ' get last
@ 3,0 say'Address ' get address
@ 4,0 say'City    ' get city
@ 5,0 say'State   ' get state
@ 6,0 say'Zip     ' get zip
@ 7,0 say'Phone   ' get phone
@ 9,0 say var1     get code1
@ 10,0 say var2     get code2
@ 11,0 say var3     get code3
@ 12,0 say var4     get code4
@ 13,0 say var5     get code5
?
?'<E>dit,    <D>elete, <R>ecall'
?'<F>orward, <B>ackward, <Q>uit'
?
accept to answer
store !(answer) to answer
do case
case answer='E'
     read
case answer='D'
     delete
     ?
     ?'** Record deleted **'
     store 1 to xx
     do while xx<35
          store xx+1 to xx
     enddo while xx<35
case answer='R'
     recall
     ?
     ?'** Record recalled **'
     store 1 to xx
     do while xx<35
          store xx+1 to xx
     enddo while xx<35
case answer='F'
     store # to prevrec
     skip
     if #=prevrec
          &beep
          ?'** Record not found **'
          store 1 to xx
          do while xx<35
               store xx+1 to xx
          enddo while xx<35
          enddo while.not.answer='Q'
     endif
case answer='B'
     store # to prevrec
     skip -1
     if #=prevrec
          &beep
          ?'** Record not found **'
          store 1 to xx
          do while xx<35
               store xx+1 to xx
          enddo while xx<35
          enddo while.not.answer='Q'
     endif
case answer='Q'
     enddo while.not.answer='Q'
     enddo while t
otherwise
     &beep
     ?'** Invalid Entry **'
     store 1 to xx
     do while xx<35
          store xx+1 to xx
     enddo while xx<35
endcase
enddo while.not.answer='Q'
enddo while t

     do while xx<35
          store xx+1 to xx
     enddo while xx<35
endcase
enddo whil